(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     12331,        354]
NotebookOptionsPosition[     11723,        335]
NotebookOutlinePosition[     12151,        352]
CellTagsIndexPosition[     12108,        349]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{"grafo", "=", 
  RowBox[{"Grafo", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"a", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "c"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "k"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"c", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "a"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "c"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "k"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"e", ",", "c"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"e", ",", "h"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"g", ",", "c"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"g", ",", "d"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"g", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"g", ",", "j"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"h", ",", "i"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "g"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", "j"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", "a"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", "h"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", "i"}], "}"}]}], "}"}], ",", 
    RowBox[{"dirigido", "\[Rule]", "True"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Valencias", "[", "grafo", "]"}]}], "Input",
 CellChangeTimes->{{3.8117597510149803`*^9, 3.8117601602815557`*^9}, {
  3.811762038003561*^9, 3.8117620476721706`*^9}, {3.81176209888321*^9, 
  3.81176209942177*^9}},
 CellLabel->"In[20]:=",ExpressionUUID->"d2ac00e0-a670-4f1d-b9ed-3f0118592653"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`k, \
$CellContext`e, $CellContext`d, $CellContext`h, $CellContext`f, \
$CellContext`g, $CellContext`j, $CellContext`i}, {{{1, 2}, {1, 3}, {2, 4}, {2,
        5}, {3, 2}, {6, 1}, {6, 3}, {6, 4}, {5, 3}, {5, 7}, {8, 2}, {8, 5}, {
       9, 3}, {9, 6}, {9, 5}, {9, 10}, {7, 11}, {11, 9}, {4, 10}, {4, 1}, {4, 
       7}, {4, 11}}, Null}, {ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], Arrowheads[Medium], 
        ArrowBox[CompressedData["
1:eJxTTMoPSmVmYGAQA2ImKOa7cmV53t7/9gxQcGjiiluX3jA7BF7YEWSf+9oe
Xd7pkOTSHNO/9i3updzJtY/s0dVXNkbPytP+Yj93D6eB69V3GPIW7H5h9TMY
HJJn5wjZB/6wJ9U8dPegy9fNFPgQ4PPF/kXR1xcaFxkc0OVh+qwOK36+IvQW
w/w5UoIc2fH37adlOUdFrvhN0L3o8uj2Tz0/60r3lk/2B9hs9vz3XIbhfnR5
dPPR5Qn5F939Ootv/n03k9OhQGFTkKD3T4zwRZdH98/5NU417qdf269YvPXf
m6nvMdyHLk9IP7p/0OXR4wfdP+jqASYmSC4=
         "], 0.03165794523991415]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {DiskBox[{1.9837481075203445, 0.}, 0.03165794523991415], 
         InsetBox["a", 
          Offset[{2, 2}, {2.0154060527602584, 0.03165794523991415}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.490636547345475, 0.8570858588850659}, 
          0.03165794523991415], 
         InsetBox["b", 
          Offset[{2, 2}, {2.522294492585389, 0.8887438041249801}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.8255430649989113, 0.5778060172835784}, 
          0.03165794523991415], 
         InsetBox["c", 
          Offset[{2, 2}, {1.8572010102388254, 0.6094639625234926}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.2606035260760946, 0.9635339678042275}, 
          0.03165794523991415], 
         InsetBox["k", 
          Offset[{2, 2}, {1.2922614713160088, 0.9951919130441417}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.074461626297218, 1.5198355407425985}, 
          0.03165794523991415], 
         InsetBox["e", 
          Offset[{2, 2}, {2.106119571537132, 1.5514934859825127}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.1690786652443184, 0.04353331730636745}, 
          0.03165794523991415], 
         InsetBox["d", 
          Offset[{2, 2}, {1.2007366104842325, 0.0751912625462816}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.2686318757565398, 2.1021288108735128}, 
          0.03165794523991415], 
         InsetBox["h", 
          Offset[{2, 2}, {1.300289820996454, 2.1337867561134267}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.200162871555582, 1.5808270674042681}, 
          0.03165794523991415], 
         InsetBox["f", 
          Offset[{2, 2}, {3.231820816795496, 1.6124850126441823}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.8685643603288556, 0.9870514845653036}, 
          0.03165794523991415], 
         InsetBox["g", 
          Offset[{2, 2}, {0.9002223055687698, 1.0187094298052177}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.9085488079709656}, 0.03165794523991415], 
         InsetBox["j", 
          Offset[{2, 2}, {0.03165794523991415, 0.9402067532108798}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.49019885814451825, 1.728600838271324}, 
          0.03165794523991415], 
         InsetBox["i", 
          Offset[{2, 2}, {0.5218568033844324, 1.7602587835112382}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{{3.8117601081548014`*^9, 3.811760127178776*^9}, 
   3.8117601609958673`*^9, 3.81176026653292*^9, 3.811762048458071*^9, 
   3.811762100133522*^9},
 CellLabel->"Out[20]=",ExpressionUUID->"2deb2159-df65-4ab2-bb28-d06c84205ab2"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      StyleBox["\[Null]",
       ShowStringCharacters->False], 
      TagBox[
       StyleBox["a",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["b",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["c",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["k",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["e",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["d",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["h",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["f",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["g",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["j",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["i",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm]},
     {
      TagBox["\<\"Grado o valencia interna\"\>",
       HoldForm], "2", "3", "4", "2", "3", "1", "2", "0", "1", "2", "2"},
     {
      TagBox["\<\"Grado o valencia externa\"\>",
       HoldForm], "2", "2", "1", "4", "2", "3", "1", "2", "4", "0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {False, True, {False}, False}, 
      "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[
   BoxForm`e$, 
    TableHeadings -> {{
      "Grado o valencia interna", "Grado o valencia externa"}, {
       Style[$CellContext`a, 
        GrayLevel[0]], 
       Style[$CellContext`b, 
        GrayLevel[0]], 
       Style[$CellContext`c, 
        GrayLevel[0]], 
       Style[$CellContext`k, 
        GrayLevel[0]], 
       Style[$CellContext`e, 
        GrayLevel[0]], 
       Style[$CellContext`d, 
        GrayLevel[0]], 
       Style[$CellContext`h, 
        GrayLevel[0]], 
       Style[$CellContext`f, 
        GrayLevel[0]], 
       Style[$CellContext`g, 
        GrayLevel[0]], 
       Style[$CellContext`j, 
        GrayLevel[0]], 
       Style[$CellContext`i, 
        GrayLevel[0]]}}, TableAlignments -> Center]]]], "Output",
 CellChangeTimes->{{3.8117601081548014`*^9, 3.811760127178776*^9}, 
   3.8117601609958673`*^9, 3.81176026653292*^9, 3.811762048458071*^9, 
   3.8117621001494784`*^9},
 CellLabel->
  "Out[21]//TableForm=",ExpressionUUID->"8258cf37-37c4-4177-90fe-\
8b4ad7f409fe"]
}, Open  ]]
},
WindowSize->{916, 418},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"430f80cf-32d4-40ed-8f58-648dcefdf9ae"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 1927, 55, 389, "Input",ExpressionUUID->"d2ac00e0-a670-4f1d-b9ed-3f0118592653"],
Cell[2510, 79, 4397, 95, 512, "Output",ExpressionUUID->"2deb2159-df65-4ab2-bb28-d06c84205ab2"],
Cell[6910, 176, 4797, 156, 175, "Output",ExpressionUUID->"8258cf37-37c4-4177-90fe-8b4ad7f409fe"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

